"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
exports.getLocalhostPathForEnv = (env) => (`${env.project}/${env.region}/${env.target}`);
const joinPaths = (...paths) => {
    const targetPath = path_1.default.join('/', ...paths).replace(/\\/g, '/');
    if (targetPath.endsWith('/')) {
        return targetPath.slice(0, -1);
    }
    return targetPath;
};
exports.computeRootPaths = (options, env, customFunctionPath) => {
    let firebaseRootPath;
    if (env.emulator) {
        firebaseRootPath = exports.getLocalhostPathForEnv(env);
    }
    else {
        firebaseRootPath = customFunctionPath || env.target;
    }
    const { rootPath, loginPath, logoutPath } = options;
    return {
        rootPath: joinPaths('/', firebaseRootPath, rootPath),
        loginPath: joinPaths('/', firebaseRootPath, loginPath),
        logoutPath: joinPaths('/', firebaseRootPath, logoutPath),
    };
};
