import { AdminJSOptionsWithDefault, Router } from 'adminjs';
export declare type ComputeRootPathEnv = {
    project: string;
    region: string;
    target: string;
    emulator?: string;
};
export declare type ComputedPaths = {
    rootPath: string;
    loginPath: string;
    logoutPath: string;
};
export declare type AdminPathOptions = Pick<AdminJSOptionsWithDefault, 'loginPath' | 'logoutPath' | 'rootPath'>;
export declare const getLocalhostPathForEnv: (env: ComputeRootPathEnv) => string;
export declare const computeRootPaths: (options: Pick<AdminJSOptionsWithDefault, "loginPath" | "logoutPath" | "rootPath">, env: ComputeRootPathEnv, customFunctionPath?: string | undefined) => ComputedPaths;
export declare type RouteMatchReturn = {
    isLogin: boolean;
    isLogout: boolean;
    route: (typeof Router)['routes'][number] | null;
    asset: (typeof Router)['assets'][number] | null;
};
